Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Eclipse RCP + AspectJ + Equinox + ltw
Eclipse RCP + AspectJ + Equinox + ltw [message #553442] Tue, 17 August 2010 10:28 Go to next message
No real name is currently offline No real name
Messages: 2
Registered: August 2010
Junior Member
Hi,

I'm currently trying to create a sample AspectJ + Eclipse RCP + ltw application. I would want to introduce AspectJ + oval.sourceforge.net to a pretty big RCP Project (+ 50 Plug-Ins and growing). And, despite being no newby to Eclipse RCP, am failing miserably :/

My last try was to use the demo provided by http://www.eclipse.org/equinox/incubator/aspects/equinox-asp ects-quick-start.php and get it running without modifications- no success.

Starting the hello.launch prints out

osgi> Hello World


the hello.aspect.launch prints out

  [org.eclipse.equinox.weaving.hook] info adding AspectJ hooks ...

  osgi>



Then I
- created a simple sample Hello World RCP Plug-In,
- added all the required plugins (as defined in the quick start) to a launch configuration,
- corrected the Eclipse-SupplementBundle
- created a config.ini:

osgi.bundles=org.eclipse.equinox.common@2\:start,org.eclipse.update.configurator@3\:start,org.eclipse.core.runtime@start, org.eclipse.equinox.weaving.aspectj@4\:start
osgi.splashPath = platform:/base/plugins/org.eclipse.platform
osgi.framework.extensions=org.eclipse.equinox.weaving.hook


but all I get is a big error message (see end of post, org.eclipse.core.jobs is in the launch configuration).

What am I doing wrong? If you could point me to a working guide or some sample code I'd very glad too.

As I'm running out if time (already spent half a day ...), this forum is my last shot :/

cu and thx,
Jan

Error Message 1:

!SESSION 2010-08-17 16:03:52.364 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_10-beta
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=de_DE
Framework arguments:  -application Test.application
Command-line arguments:  -application Test.application -data C:\_env\workspace-aspectj-2/../runtime-Test.application -dev file:C:/_env/workspace-aspectj-2/.metadata/.plugins/org.eclipse.pde.core/Test.application/dev.properties -os win32 -ws win32 -arch x86 -consoleLog

!ENTRY org.eclipse.core.runtime 4 0 2010-08-17 16:03:52.930
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs; bundle-version="[3.2.0,4.0.0)"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:227)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:337)

!ENTRY org.eclipse.osgi 4 0 2010-08-17 16:03:52.939
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runtime_3.5.0.v20090525.jar/ was not resolved.

!ENTRY org.eclipse.osgi 4 0 2010-08-17 16:03:52.947
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1287)

!ENTRY org.eclipse.osgi 2 0 2010-08-17 16:03:52.958
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-08-17 16:03:52.958
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runtime_3.5.0.v20090525.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.958
!MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.3.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.equinox.app_[1.0.0,2.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.4.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0).

!ENTRY org.eclipse.osgi 2 0 2010-08-17 16:03:52.962
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-08-17 16:03:52.963
!MESSAGE Bundle org.eclipse.core.runtime_3.5.0.v20090525 [9] was not resolved.
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.963
!MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.963
!MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.4.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.963
!MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.963
!MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.3.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.964
!MESSAGE Missing optionally required bundle org.eclipse.core.runtime.compatibility.auth_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.964
!MESSAGE Missing required bundle org.eclipse.equinox.app_[1.0.0,2.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.964
!MESSAGE Missing imported package org.eclipse.core.internal.runtime.auth_0.0.0.

Re: Eclipse RCP + AspectJ + Equinox + ltw [message #553765 is a reply to message #553442] Wed, 18 August 2010 14:28 Go to previous message
Andrew Eisenberg is currently offline Andrew Eisenberg
Messages: 368
Registered: July 2009
Senior Member
It looks like you are missing some required bundles in your configuration:
ENTRY org.eclipse.osgi 2 0 2010-08-17 16:03:52.958
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-08-17 16:03:52.958
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runtime_3.5.0.v20090525.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.958
!MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.3.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.equinox.app_[1.0.0,2.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.4.0,4.0.0).
!SUBENTRY 2 org.eclipse.core.runtime 2 0 2010-08-17 16:03:52.959
!MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0).


You need to add these bundles to the configuration and try again.

Previous Topic:how can i block calls from package to another?
Next Topic:Eclipse RCP + AspectJ + Equinox + ltw
Goto Forum:
  


Current Time: Thu Jul 31 17:57:17 EDT 2014

Powered by FUDForum. Page generated in 0.01766 seconds